> ## Documentation Index
> Fetch the complete documentation index at: https://docs.membrane.agency/llms.txt
> Use this file to discover all available pages before exploring further.

# export-connection

> Export a connection configuration without connection credentials or connector parameters.



## OpenAPI

````yaml /api-reference/membrane-api.json get /connections/{id}/export
openapi: 3.0.0
info:
  title: Membrane API
  description: API documentation for Membrane Engine
  version: '1.0'
  contact: {}
servers:
  - url: https://api.getmembrane.com
security:
  - bearer: []
tags: []
paths:
  /connections/{id}/export:
    get:
      summary: export-connection
      description: >-
        Export a connection configuration without connection credentials or
        connector parameters.
      operationId: exportConnection
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            description: Connection id or connection key.
      responses:
        '200':
          description: >-
            Export a connection configuration without connection credentials or
            connector parameters.
          content:
            application/json:
              schema:
                type: object
                properties:
                  type:
                    type: string
                    enum:
                      - connector
                      - mcp
                      - pipedream
                  name:
                    type: string
                  meta:
                    type: object
                    additionalProperties: {}
                  authOptionKey:
                    type: string
                  key:
                    nullable: true
                    type: string
                    minLength: 1
                    maxLength: 100
                  integrationUuid:
                    type: string
                  connectorUuid:
                    type: string
                  externalAppUuid:
                    type: string
                additionalProperties: false
components:
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````